org.apache.lucene.queryParser.precedence

## Class PrecedenceQueryParserTokenManager

- java.lang.Object
- - org.apache.lucene.queryParser.precedence.PrecedenceQueryParserTokenManager

- All Implemented Interfaces:
    PrecedenceQueryParserConstants

      public class PrecedenceQueryParserTokenManager
      extends java.lang.Object
      implements PrecedenceQueryParserConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected char` | `curChar`
    `java.io.PrintStream` | `debugStream`
    `protected CharStream` | `input_stream`
    `static int[]` | `jjnewLexState`
    `static java.lang.String[]` | `jjstrLiteralImages`
    `static java.lang.String[]` | `lexStateNames`

    - ### Fields inherited from interface org.apache.lucene.queryParser.precedence.PrecedenceQueryParserConstants

      `_ESCAPED_CHAR, _NUM_CHAR, _TERM_CHAR, _TERM_START_CHAR, _WHITESPACE, AND, Boost, CARAT, COLON, DEFAULT, EOF, FUZZY_SLOP, LPAREN, MINUS, NOT, NUMBER, OR, PLUS, PREFIXTERM, QUOTED, RangeEx, RANGEEX_END, RANGEEX_GOOP, RANGEEX_QUOTED, RANGEEX_START, RANGEEX_TO, RangeIn, RANGEIN_END, RANGEIN_GOOP, RANGEIN_QUOTED, RANGEIN_START, RANGEIN_TO, RPAREN, TERM, tokenImage, WILDTERM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrecedenceQueryParserTokenManager(CharStream stream)`
    `PrecedenceQueryParserTokenManager(CharStream stream, int lexState)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Token` | `getNextToken()`
    `protected Token` | `jjFillToken()`
    `void` | `ReInit(CharStream stream)`
    `void` | `ReInit(CharStream stream, int lexState)`
    `void` | `setDebugStream(java.io.PrintStream ds)`
    `void` | `SwitchTo(int lexState)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### debugStream

          public java.io.PrintStream debugStream

    - #### jjstrLiteralImages

          public static final java.lang.String[] jjstrLiteralImages

    - #### lexStateNames

          public static final java.lang.String[] lexStateNames

    - #### jjnewLexState

          public static final int[] jjnewLexState

    - #### input_stream

          protected CharStream input_stream

    - #### curChar

          protected char curChar

  - ### Constructor Detail

    - #### PrecedenceQueryParserTokenManager

          public PrecedenceQueryParserTokenManager(CharStream stream)

    - #### PrecedenceQueryParserTokenManager

          public PrecedenceQueryParserTokenManager(CharStream stream,
                                                   int lexState)

  - ### Method Detail

    - #### setDebugStream

          public void setDebugStream(java.io.PrintStream ds)

    - #### ReInit

          public void ReInit(CharStream stream)

    - #### ReInit

          public void ReInit(CharStream stream,
                             int lexState)

    - #### SwitchTo

          public void SwitchTo(int lexState)

    - #### jjFillToken

          protected Token jjFillToken()

    - #### getNextToken

          public Token getNextToken()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.